## libportal 0.8.1

=== debian/changelog ===
libportal (0.8.1-2) unstable; urgency=medium

  * d/rules: Explicitly set a screen size for Xvfb.
    For whatever reason, this avoids a crash in libunwind seen on armhf.
    (Mitigates: #1082659) (Closes: #1082588)
  * d/rules: Let diagnostic messages from Xvfb go to stderr.
    This would have made it easier to see that Xvfb was segfaulting
    on armhf.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Sep 2024 10:12:10 +0100

libportal (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied upstream
  * d/p/tests-Divide-tests-into-suites.patch, d/rules:
    Ignore result of unreliable pytest-based tests (Mitigates: #1082570)
  * d/*.README.Debian: Update Flatpak runtime versions again

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Sep 2024 13:39:49 +0100

libportal (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Update README.Debian for GTK tests.
    They now use a newer runtime.
  * d/libportal-tests-qt5.install: Update for new versioned name
  * Drop all patches, applied upstream
  * Build Qt 6 binding, but do not install it yet.
    Installing it will require a trip through the NEW queue.
  * d/p/tests-Make-pytest-more-verbose.patch,
    d/p/tests-Increase-timeout-for-pytest.patch,
    d/p/remote-Shuffle-some-code-around.patch,
    d/p/remote-Fetch-ScreenCast-version-when-using-Remote-Desktop.patch:
  * Add patches from upstream to fix a test failure and make tests
    more verbose
  * Update symbols files with new ABI
  * Standards-Version: 4.7.0 (no changes required)
  * Use pkgconf in preference to pkg-config
  * d/tests/libportal-gtk4-dev: Fix some warnings

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 11:58:12 +0100
