## libportal 0.9.0

=== debian/changelog ===
libportal (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * d/libportal1.symbols: Update
  * d/control: Bump GLib build-dependency to 2.72 as per meson.build
  * d/control: Require meson 0.63.0 if Qt 6 support is enabled, as per
    meson.build
  * d/rules: Run all tests
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Dec 2024 13:01:23 +0000
