=== debian/changelog ===
libportal (0.9.1-2) unstable; urgency=medium

  * d/p/build-Don-t-install-glib-backports.h-or-pass-it-to-GObjec.patch:
    Add patch from upstream to stop installing a private header
  * d/p/qt6-fix-build-against-Qt-6.9.patch:
    Add patch from upstream to fix FTBFS against Qt 6.9
  * d/rules: Instruct debcrossgen to use `meson env2mfile`.
    This means we no longer need to use a separate cross-file to find the
    GObject-Introspection tools: `meson env2mfile` does the right thing
    for these since meson 1.7.0, which was in trixie. (Mitigates: #1060838)
  * d/rules: Silence blhc false positive #1088099

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 14:21:39 +0100

libportal (0.9.1-1) unstable; urgency=medium

  * New upstream release
    - Fix memory management in input capture code (Closes: #1082570)

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2025 10:58:37 +0000
