=== debian/control ===
--- 
+++ 
@@ -13,12 +13,14 @@
  gir1.2-gtk-4.0-dev <!pkg.libportal.nogtk4>,
  gobject-introspection,
  gobject-introspection (>= 1.78.1-9~) <cross>,
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libgstreamer-plugins-base1.0-dev <!noinsttest>,
  libgtk-3-dev <!pkg.libportal.nogtk3>,
  libgtk-4-dev <!pkg.libportal.nogtk4>,
  libqt5x11extras5-dev <!pkg.libportal.noqt5>,
  meson (>= 0.49.0),
+ meson (>= 0.63.0) <!pkg.libportal.noqt6>,
+ meson (>= 1.7.0) <cross>,
  pkgconf,
  python3-dbus <!nocheck>,
  python3-dbusmock <!nocheck>,
@@ -120,7 +122,7 @@
  ${misc:Pre-Depends},
 Depends:
  gir1.2-xdp-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libportal1 (= ${binary:Version}),
  pkgconf,
  ${gir:Depends},
@@ -188,7 +190,7 @@
  ${misc:Pre-Depends},
 Depends:
  gir1.2-xdpgtk3-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libgtk-3-dev,
  libportal-dev (= ${binary:Version}),
  libportal-gtk3-1 (= ${binary:Version}),
@@ -238,7 +240,7 @@
  ${misc:Pre-Depends},
 Depends:
  gir1.2-xdpgtk4-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libgtk-4-dev,
  libportal-dev (= ${binary:Version}),
  libportal-gtk4-1 (= ${binary:Version}),
@@ -382,5 +384,3 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
