=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+# https://bugs.debian.org/1060838
+export MESON_USE_NEW_CROSSGEN=1
 # https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html
 export QT_SELECT=5
 
@@ -17,7 +19,6 @@
 native_or_cross = native
 else
 native_or_cross = cross
-meson_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
 endif
 
 ifneq ($(filter libportal-gtk3-% libportal-%-gtk3,$(built_binaries)),)
@@ -70,6 +71,8 @@
 	dh $@
 
 override_dh_auto_configure:
+	# https://bugs.debian.org/1088099
+	@echo 'blhc: ignore-line-regexp: .*/lib/qt6/libexec/moc\s.*'
 	sed \
 		-e 's|@bindir@|$(CURDIR)/debian|g' \
 		-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|g' \
@@ -86,5 +89,4 @@
 xvfb_run = xvfb-run -e /proc/self/fd/2 -a -s "-screen 0 1280x1024x24 -noreset"
 
 override_dh_auto_test:
-	$(xvfb_run) dh_auto_test -- $(meson_test_options) --no-suite pytest
-	$(xvfb_run) dh_auto_test -- $(meson_test_options) --suite pytest || true
+	$(xvfb_run) dh_auto_test -- $(meson_test_options)
