=== debian/tests/control ===
Tests: libportal-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-dev,

Tests: libportal-gtk3-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-gtk3-dev,
 xauth,
 xvfb,

Tests: libportal-gtk4-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-gtk4-dev,
 xauth,
 xvfb,

Tests: libportal-qt5-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-qt5-dev,
 xauth,
 xvfb,
